IntegrationTestMixinTransformation (Grails 3.2.6)
Date: 2017-02-09

Package: org.grails.compiler.injection.test

## [Groovy] Class IntegrationTestMixinTransformation

- org.grails.compiler.injection.test.IntegrationTestMixinTransformation

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation

      @groovy.transform.CompileStatic
      @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      class IntegrationTestMixinTransformation

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `CONTEXT_CONFIG_ANNOTATION` |
    `static org.codehaus.groovy.ast.ClassNode` | `GRAILS_APPLICATION_CONTEXT_LOADER` |
    `static org.codehaus.groovy.ast.ClassNode` | `INTEGRATION_TEST_CLASS_NODE` |
    `static org.codehaus.groovy.ast.ClassNode` | `RUN_WITH_ANNOTATION_NODE` |
    `static org.codehaus.groovy.ast.ClassNode` | `SPRING_APPLICATION_CONFIGURATION_CLASS_NODE` |
    `static org.codehaus.groovy.ast.ClassNode` | `SPRING_JUNIT4_CLASS_RUNNER` |
    `static org.codehaus.groovy.ast.ClassNode` | `WEB_APP_CONFIGURATION` |
    `static org.codehaus.groovy.ast.ClassNode` | `WEB_INTEGRATION_TEST_CLASS_NODE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static org.codehaus.groovy.ast.ClassNode` | `MY_TYPE`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `enableAutowireByName(org.codehaus.groovy.ast.ClassNode classNode)`
    `protected void` | `enhanceGebSpecWithPort(org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`
    `void` | `weaveIntegrationTestMixin(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode applicationClassNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.ClassNode CONTEXT_CONFIG_ANNOTATION

    - #### public static final org.codehaus.groovy.ast.ClassNode GRAILS_APPLICATION_CONTEXT_LOADER

    - #### public static final org.codehaus.groovy.ast.ClassNode INTEGRATION_TEST_CLASS_NODE

    - #### public static final org.codehaus.groovy.ast.ClassNode RUN_WITH_ANNOTATION_NODE

    - #### public static final org.codehaus.groovy.ast.ClassNode SPRING_APPLICATION_CONFIGURATION_CLASS_NODE

    - #### public static final org.codehaus.groovy.ast.ClassNode SPRING_JUNIT4_CLASS_RUNNER

    - #### public static final org.codehaus.groovy.ast.ClassNode WEB_APP_CONFIGURATION

    - #### public static final org.codehaus.groovy.ast.ClassNode WEB_INTEGRATION_TEST_CLASS_NODE

  - ### Property Detail

    - #### static final org.codehaus.groovy.ast.ClassNode MY_TYPE

  - ### Method Detail

    - #### protected void enableAutowireByName(org.codehaus.groovy.ast.ClassNode classNode)

    - #### protected void enhanceGebSpecWithPort(org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)

    - #### void weaveIntegrationTestMixin(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode applicationClassNode)